Changeset 5537653 in rtems


Ignore:
Timestamp:
Apr 25, 2005, 12:33:38 PM (15 years ago)
Author:
Ralf Corsepius <ralf.corsepius@…>
Branches:
4.10, 4.11, 4.8, 4.9, master
Children:
a4d8296
Parents:
07d3a3e
Message:

2005-04-25 Ralf Corsepius <ralf.corsepius@…>

Location:
scripts
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • scripts/ChangeLog

    r07d3a3e r5537653  
    112005-04-25      Ralf Corsepius <ralf.corsepius@rtems.org>
    22
     3        * binutils/binutils.add: Use BuildRequires instead of BuildPreReq.
     4        * gccnewlib/gccnewlib.add: Use BuildRequires instead of BuildPreReq.
     5        * gdb/gdb.add: Use BuildRequires instead of BuildPreReq.
     6        * gccnewlib/gccnewlib.add: Remove Source0-magic for gcc < 3.0.
    37        * gccnewlib/gccnewlib.add: Abandon c4x-*.
    48
  • scripts/binutils/binutils.add

    r07d3a3e r5537653  
    1010
    1111Packager:       ralf.corsepius@rtems.org and joel@OARcorp.com
    12 BuildPreReq:    /sbin/install-info
    13 BuildPreReq:    texinfo >= 4.2
    14 BuildPreReq:    flex
     12BuildRequires:  /sbin/install-info
     13BuildRequires:  texinfo >= 4.2
     14BuildRequires:  flex
    1515
    1616Version:        %{binutils_version}
  • scripts/gccnewlib/gccnewlib.add

    r07d3a3e r5537653  
    1616Version:        gcc%{gcc_version}newlib%{newlib_version}
    1717
    18 %if "%{gcc_version}" >= "3.2.2"
    19 Source0: ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%{gcc_version}/gcc-%{gcc_version}@gcc_suffix@
    20 %else
    21 %if "%{gcc_version}" >= "3.0"
    22 Source0: ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%{gcc_version}/gcc-%{gcc_version}.tar.gz
    23 %else
    24 Source0: ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%{gcc_version}/gcc-%{gcc_version}-everything.tar.gz
    25 %endif
    26 %endif
     18Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%{gcc_version}/gcc-%{gcc_version}@gcc_suffix@
    2719Source1:        ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}@newlib_suffix@
    2820@PATCH1@
    2921@PATCH3@
    30 BuildPreReq:    texinfo >= 4.2
    31 BuildPreReq:    %{rpmprefix}%{gcc_target}-binutils
     22BuildRequires:  texinfo >= 4.2
     23BuildRequires:  %{rpmprefix}%{gcc_target}-binutils
     24
    3225#
    3326# The original sources are not included in the source RPM.
  • scripts/gdb/gdb.add

    r07d3a3e r5537653  
    2424
    2525%if "%{_vendor}" == "redhat"
    26 BuildPreReq:    ncurses-devel
     26BuildRequires:  ncurses-devel
    2727%endif
    2828
Note: See TracChangeset for help on using the changeset viewer.